* llvm.spec.in: update blurb
[oota-llvm.git] / autoconf / AutoRegen.sh
index fd3ff748b92ffff2b6831706506e4da8e807f4fe..3dca38673718189085f0fbd64940f3a91dc30c93 100755 (executable)
@@ -3,40 +3,46 @@ die () {
        echo "$@" 1>&2
        exit 1
 }
-test -d autoconf && test -f autoconf/configure.ac && cd autoconf
-test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
-autoconf --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
-  die "Your autoconf was not detected as being 2.59"
-fi
-aclocal --version | egrep '1\.9\.1' > /dev/null
-if test $? -ne 0 ; then
-  die "Your aclocal was not detected as being 1.9.1"
-fi
-autoheader --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
-  die "Your autoheader was not detected as being 2.59"
-fi
-libtool --version | grep '1.5.10' > /dev/null
-if test $? -ne 0 ; then
-  die "Your libtool was not detected as being 1.5.10"
-fi
+
+### NOTE: ############################################################"
+### The below two variables specify the auto* versions
+### periods should be escaped with backslash, for use by grep
+want_autoconf_version='2\.60'
+want_autoheader_version=$want_autoconf_version
+### END NOTE #########################################################"
+
+
+outfile=configure
+configfile=configure.ac
+
+want_autoconf_version_clean=`echo $want_autoconf_version | sed -e 's/\\\\//g'`
+want_autoheader_version_clean=`echo $want_autoheader_version | sed -e 's/\\\\//g'`
+
+test -d autoconf && test -f autoconf/$configfile && cd autoconf
+test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
+autoconf --version | grep $want_autoconf_version > /dev/null
+test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
+aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
+test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
+autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
+test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
+libtool --version | grep '1\.5\.22' > /dev/null
+test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
 echo ""
 echo "### NOTE: ############################################################"
-echo "### If you get *any* warnings from autoconf below other than warnings"
-echo "### about 'AC_CONFIG_SUBDIRS: you should use literals', you MUST fix"
-echo "### the scripts in the m4 directory because there are future forward"
+echo "### If you get *any* warnings from autoconf below you MUST fix the"
+echo "### scripts in the m4 directory because there are future forward"
 echo "### compatibility or platform support issues at risk. Please do NOT"
-echo "### commit any configure.ac or configure script that was generated "
-echo "### with warnings present."
+echo "### commit any configure script that was generated with warnings"
+echo "### present. You should get just three 'Regenerating..' lines."
 echo "######################################################################"
 echo ""
-echo "Regenerating aclocal.m4 with aclocal"
+echo "Regenerating aclocal.m4 with aclocal 1.9.6"
 cwd=`pwd`
 aclocal --force -I $cwd/m4 || die "aclocal failed"
-echo "Regenerating configure with autoconf 2.5x"
-autoconf --force --warnings=all -o ../configure configure.ac || die "autoconf failed"
+echo "Regenerating configure with autoconf $want_autoconf_version_clean"
+autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
 cd ..
-echo "Regenerating config.h.in with autoheader 2.5x"
-autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
+echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
+autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
 exit 0